#!/bin/csh


set IN = $PWD

set PACKAGE = ""

set FORCE = ""
if ( $#argv > 1 ) then 
  if ( "$1" == "--force" ) then 
    set FORCE = 1
    shift
  endif
endif


if ( $#argv > 2 ) then 
  set PACKAGE = $1
  shift

  if ( -d /tmp/$PACKAGE ) then 
     rm -rf /tmp/$PACKAGE
  endif

  cd /tmp/	
  svn co $SVNROOT/$PACKAGE/trunk $PACKAGE
  cd $PACKAGE
    
endif

if ( $#argv > 1 ) then 
  if ( "$1" == "-m" ) then 
    shift
  else 
    echo "need comment flag -m"
    exit
  endif
endif

echo "updating version $*"

update.sh -m "$*"
if ( $status != 0 ) then 
  cd $IN
  exit 1
endif


echo updating tag

tag.sh  -m  "$*"
if ( $status != 0 ) then 
  cd $IN
  exit 1
endif

echo preparing tgz file


if ( "$FORCE" == 1 ) then 
  prepare.sh --force
else
  prepare.sh
endif


cd $IN
